hbase-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alejandro Abdelnur <t...@cloudera.com>
Subject Re: HBase .92 maven artifacts compiled against different releases of Hadoop
Date Wed, 16 Nov 2011 19:16:52 GMT
Stack,

IMO a Hbase release should not include Hadoop JARs. Then, it would
require a Hadoop installed to run. And it would use the Hadoop
'hadoop' CLI to start.

Thanks.

Alejandro

On Wed, Nov 16, 2011 at 10:10 AM, Stack <stack@duboce.net> wrote:
> On Wed, Nov 16, 2011 at 9:58 AM, Alejandro Abdelnur <tucu@cloudera.com> wrote:
>> While not 100% correct, IMO making Hadoop an optional dependency it
>> may be the way to go for Hadoop downstream projects. By doing this,
>> the users of the downstream project can set the version of Hadoop they
>> need and do the exclusions for that version they use without having to
>> worry about all exclusions for all possible Hadoop versions.
>>
>
> What would this look like AA?  We'd denote an Hadoop version for
> compile but we'd not bundle an hadoop in what we ship?
>
> Some work was done (by you?) to favor an hadoop specified by
> environment variables.  You think we should tend this direction?
>
> What for the case where you want to do a standalone hbase install,
> where you want to run a single hbase instance?
>
> Good stuff,
> St.Ack
>

Mime
View raw message